Bug 760357

Summary: Review Request: rubygem-systemu - Universal capture of stdout and stderr and handling of child process pid
Product: [Fedora] Fedora Reporter: Jeffrey C. Ollie <jeff>
Component: Package ReviewAssignee: Steve Traylen <steve.traylen>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jdunn, notting, package-review, steve.traylen, ulrich.schwickerath
Target Milestone: ---Flags: steve.traylen: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-15 17:53:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 698405    

Description Jeffrey C. Ollie 2011-12-05 21:49:38 UTC
Spec URL: http://jcollie.fedorapeople.org/rubygem-systemu.spec
SRPM URL: http://jcollie.fedorapeople.org/rubygem-systemu-2.4.1-1.fc16.src.rpm
Description:

Universal capture of stdout and stderr and handling of child process pid

Needed to replace a library included in mcollective

Comment 1 Steve Traylen 2011-12-06 14:58:18 UTC
Hi,
You have a type 

rm -rf %{_buildroot}

should of course be 

rm -rf %{buildroot}


Otherwise this looks like a text book rubygem package as described on 
http://fedoraproject.org/wiki/Packaging:Ruby 

I have issues with the ruby guidelines but they are what they are so we follow them:

Checksums match.

$ md5sum systemu-2.4.1.gem ../SOURCES/systemu-2.4.1.gem 
c95eb1dd231cac73b11224a9d3ee35c2  systemu-2.4.1.gem
c95eb1dd231cac73b11224a9d3ee35c2  ../SOURCES/systemu-2.4.1.gem


License is marked with 'Ruby or GPLv2' and this is clearly correct.

same as Ruby's

http://www.ruby-lang.org/en/LICENSE.txt
 
is contained within the LICENSE.txt file.

rubygem-systemu.noarch: W: spelling-error Summary(en_US) stdout -> stout, std out, std-out
rubygem-systemu.noarch: W: spelling-error Summary(en_US) stderr -> std err, std-err, stander
rubygem-systemu.noarch: W: spelling-error Summary(en_US) pid -> peed, dip, pud

which are all fine.

rubygem-systemu.noarch: W: non-standard-group Unspecified

rubygem-systemu.src: W: non-standard-group Unspecified
rubygem-systemu.src: W: no-cleaning-of-buildroot %install
2 packages and 1 specfiles checked; 0 errors, 16 warnings.


So please add a group and correct the _buildroot macro and I think it is there.

Steve.

Comment 2 Jeffrey C. Ollie 2011-12-06 20:08:47 UTC
Spec URL: http://jcollie.fedorapeople.org/rubygem-systemu.spec
SRPM URL: http://jcollie.fedorapeople.org/rubygem-systemu-2.4.1-2.fc16.src.rpm

OK, here's a new version that should fix the problems with the macro and the group.  For some reason though this doesn't build for me on EPEL5, I get a buffer overflow in ruby.

Comment 3 Steve Traylen 2011-12-06 20:22:41 UTC
EPEL5 can come later if needed of course .

APPROVED.

Comment 4 Jeffrey C. Ollie 2011-12-06 20:29:37 UTC
New Package SCM Request
=======================
Package Name: rubygem-systemu
Short Description: Universal capture of stdout and stderr and handling of child process pid
Owners: jcollie
Branches: f16 f15 el5 el6
InitialCC:

Comment 5 Gwyn Ciesla 2011-12-06 20:50:32 UTC
Already exists, unretired, please take ownership of f15 and devel in
pkgdb, then file package change for f16 branch.  EL-5 and 6 exist and are
owned.

Comment 6 Jeffrey C. Ollie 2011-12-06 21:24:12 UTC
Well, blow me down... I guess I need to search pkgdb rather than relying on a yum search.

Package Change Request
======================
Package Name: rubygem-systemu
New Branches: f16
Owners: jcollie
InitialCC:

Comment 7 Gwyn Ciesla 2011-12-07 00:39:23 UTC
Git done (by process-git-requests).

Comment 8 Ulrich Schwickerath 2011-12-07 10:31:03 UTC
I may be a bit late now I just realised but it took me a while to do an

Informal Package Review
=======================

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[ ]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on:
[ ]  Rpmlint output:
$ rpmlint rubygem-systemu-2.4.1-1.fc17.src.rpm
rubygem-systemu.src: W: spelling-error Summary(en_US) stdout -> stout, std out, std-out
rubygem-systemu.src: W: spelling-error Summary(en_US) stderr -> std err, std-err, stander
rubygem-systemu.src: W: spelling-error Summary(en_US) pid -> peed, dip, pud
rubygem-systemu.src: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
rubygem-systemu.src: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
rubygem-systemu.src: W: spelling-error %description -l en_US pid -> peed, dip, pud
rubygem-systemu.src: W: non-standard-group Unspecified
rubygem-systemu.src: W: no-cleaning-of-buildroot %install
1 packages and 0 specfiles checked; 0 errors, 8 warnings.

$ rpmlint rubygem-systemu-2.4.1-1.fc17.noarch.rpm 
rubygem-systemu.noarch: W: spelling-error Summary(en_US) stdout -> stout, std out, std-out
rubygem-systemu.noarch: W: spelling-error Summary(en_US) stderr -> std err, std-err, stander
rubygem-systemu.noarch: W: spelling-error Summary(en_US) pid -> peed, dip, pud
rubygem-systemu.noarch: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
rubygem-systemu.noarch: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
rubygem-systemu.noarch: W: spelling-error %description -l en_US pid -> peed, dip, pud
rubygem-systemu.noarch: W: non-standard-group Unspecified
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

[?]  Package is not relocatable.
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : b7c29f05686420511861276594fa64f5
MD5SUM gem package from source rpm: c95eb1dd231cac73b11224a9d3ee35c2
MD5SUM upstream package: c95eb1dd231cac73b11224a9d3ee35c2
[x]  Package is not known to require ExcludeArch, OR:
Arches excluded: none
Why:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on:
[?]  Package should compile and build into binary rpms on all supported architectures.
Tested on:
[?]  Package functions as described.
[-]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[-]  File based requires are sane.


=== Issues ===
none found

=== Final Notes ===
/usr/lib/ruby/gems/1.8/cache/ is not owned by the package, is used and provided by the rubygem rpm which is present as dependency. 
I could not test the correct functioning of the package nor if it builds on all architecture. As it is a noarch package I don't see a 
reason why it should not

================
*** APPROVED ***
================

Comment 9 Julian C. Dunn 2012-12-05 03:01:52 UTC
Jeffrey et. al.:

This review is almost a year old with no import into Fedora/EPEL even though it's been approved. Can we import it? I need it to get bz#823344 working.

I'm happy to take ownership if you don't want to maintain it now.

Comment 10 Jeffrey C. Ollie 2012-12-05 03:19:05 UTC
Julian, I have no interest in rubygem-systemu anymore. I've gone ahead and orphaned the package in pkgdb:

https://admin.fedoraproject.org/pkgdb/acls/name/rubygem-systemu

It's all yours if you want it!

Comment 11 Fedora Update System 2012-12-06 04:08:08 UTC
rubygem-systemu-2.5.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-systemu-2.5.2-1.fc18

Comment 12 Fedora Update System 2012-12-06 04:09:22 UTC
rubygem-systemu-2.5.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-systemu-2.5.2-1.fc17

Comment 13 Fedora Update System 2012-12-06 04:10:16 UTC
rubygem-systemu-2.5.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-systemu-2.5.2-1.fc16

Comment 14 Fedora Update System 2012-12-06 20:08:57 UTC
Package rubygem-systemu-2.5.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-systemu-2.5.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19857/rubygem-systemu-2.5.2-1.fc18
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2012-12-15 17:53:04 UTC
rubygem-systemu-2.5.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-12-15 18:07:33 UTC
rubygem-systemu-2.5.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-01-12 00:25:07 UTC
rubygem-systemu-2.5.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.